Bug 429236 - Cries like a baby if no brand package is installed, instead of talking rationally
Cries like a baby if no brand package is installed, instead of talking ration...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
i386 Linux
high Severity urgent
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 23:30 EST by Joshua Wulf
Modified: 2014-10-19 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 22:47:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2008-01-17 23:30:10 EST
Description of problem:
If you don't install brand packages and try to build a book it fails, but
doesn't say: "Hey, you don't have a brand package installed" or "Your brand
doesn't match anything I can do". Instead it gives a cryptic message and then
goes away crying.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. install documentation-devel without any other brand packages then try
building something
2. or set the brand to something that doesn't match an installed package then build
3.
 
Actual results:
cries like a baby

Expected results:
should talk like a rational toddler at least

Additional info:
Comment 1 Jeff Fearn 2008-02-14 22:47:19 EST
Dies with a message stating the brand is invalid.

Note You need to log in before you can comment on or make changes to this bug.